Name:          bzrtp
Version:       5.2.111
Release:       1mamba
Summary:       An opensource implementation of ZRTP keys exchange protocol
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/linphone/bzrtp
Source:        https://github.com/BelledonneCommunications/bzrtp.git/%{version}/bzrtp-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libbctoolbox-devel
BuildRequires: libgcc
BuildRequires: libsqlite-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxml2-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
bzrtp is an opensource implementation of ZRTP keys exchange protocol.
The library written in C 89 is fully portable and can be executed  on many platforms including both ARM  processor and x86.

%package -n lib%{name}
Group:         System/Libraries
Summary:       An opensource implementation of ZRTP keys exchange protocol

%description -n lib%{name}
bzrtp is an opensource implementation of ZRTP keys exchange protocol.
The library written in C 89 is fully portable and can be executed  on many platforms including both ARM  processor and x86.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q

%build
%cmake \
   -DENABLE_STATIC=OFF
	
%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

install -d -m0755 %{buildroot}%{_libdir}/cmake
mv %{buildroot}%{_datadir}/bzrtp/cmake %{buildroot}%{_libdir}/cmake/bzrtp

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libbzrtp.so.*
%doc LICENSE.txt

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/bzrtp
%{_includedir}/bzrtp/bzrtp.h
%{_libdir}/libbzrtp.so
%dir %{_libdir}/cmake/bzrtp
%{_libdir}/cmake/bzrtp/bzrtp*.cmake
%doc README.md

%changelog
* Thu Nov 23 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.111-1mamba
- package created using the webbuild interface
